Subject: Re: 28.0.50; regression in commit c7c154bb, minibuffer is not closed after opening a file

From: Alan Mackenzie <[email-masked]>
Date: Sat, 30 Jan 2021 18:35:03 +0000

Hello again, Platon.

Terribly sorry to take nearly two weeks to reply.  Real life got in the
way.

On Sun, Jan 17, 2021 at 10:50:32 +0300, Platon Pronko wrote:
> Hi!

> I'm terribly sorry, apparently I wasted a lot of your time.

No problem, but I don't think you did.  There were real bugs connected
with input methods, and I think your initial scenario highlighted one of
these bugs.

> I tested (minibufferp) refactoring again and it seems that when I
> did that for the previous email I messed something up. When I ran the code today
> the issue went away.

It hasn't gone away for me.  ;-)

> Original reason for " *Minibuf-0*" test in dvorak-minor-mode was to
> stop emacs --daemon from hanging on startup. (now that you explained about
> quail-minibuffer-message and sit-for, I assume that's was the reason why that was happening)

Possibly.

> But the buffer that was triggering the current issue is called " *Minibuf-1*", so it
> passes the test and activate-input-method is called.

Yes.

> I had no idea that activate-input-method was dangerous when called in
> global minor modes, but that's probably just the way it is.

I disagree.  The fact that it is dangerous is a bug which needs fixing.
The fix I have at the moment is not to call the (sit-for 1000000) when
the current buffer is a minibuffer.  To be honest, I don't understand
quail.el very well, but I'm not sure there's anybody still on the
development team who understands it any better.

> Again, terribly sorry for wasting your time on what turned out to be
> a configuration issue.

No need to apologise - there were real bugs there.  Thanks for the
original report!

> > Just as a matter of interest, you can write that more easily as
> > ./src/emacs -Q -l ~/.emacs.d/init.el.

> Thanks, that's a useful shortcut!

:-)

I'm hoping to commit a patch for the bug over the weekend, sometime.
It's been a difficult bug to diagnose.

> Best regards,
> Platon Pronko

-- 
Alan Mackenzie (Nuremberg, Germany).